[arch-commits] Commit in supercollider/repos/community-x86_64 (6 files)

David Runge dvzrv at archlinux.org
Wed Apr 1 20:41:11 UTC 2020


    Date: Wednesday, April 1, 2020 @ 20:41:08
  Author: dvzrv
Revision: 609173

archrelease: copy trunk to community-x86_64

Added:
  supercollider/repos/community-x86_64/PKGBUILD
    (from rev 609171, supercollider/trunk/PKGBUILD)
  supercollider/repos/community-x86_64/supercollider-3.11.0-use_system_link.patch
    (from rev 609172, supercollider/trunk/supercollider-3.11.0-use_system_link.patch)
  supercollider/repos/community-x86_64/supercollider.install
    (from rev 609172, supercollider/trunk/supercollider.install)
Deleted:
  supercollider/repos/community-x86_64/PKGBUILD
  supercollider/repos/community-x86_64/supercollider-3.11.0-use_system_link.patch
  supercollider/repos/community-x86_64/supercollider.install

--------------------------------------------+
 PKGBUILD                                   |  144 +++++++++++++--------------
 supercollider-3.11.0-use_system_link.patch |   60 +++++------
 supercollider.install                      |   16 +--
 3 files changed, 110 insertions(+), 110 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-04-01 20:41:04 UTC (rev 609172)
+++ PKGBUILD	2020-04-01 20:41:08 UTC (rev 609173)
@@ -1,72 +0,0 @@
-# Maintainer: David Runge <dvzrv at archlinux.org>
-# Contributor: speps <speps at aur dot archlinux dot org>
-# Contributor: osc <farid at archlinux-br.org>
-
-_name=SuperCollider
-pkgname=supercollider
-pkgver=3.11.0
-pkgrel=3
-pkgdesc="Environment and programming language for real time audio synthesis and algorithmic composition"
-arch=('x86_64')
-url="https://supercollider.github.io"
-license=('GPL3')
-groups=('pro-audio')
-depends=('gcc-libs' 'glibc'  'libx11' 'qt5-base' 'qt5-svg' 'qt5-webengine'
-'qt5-websockets')
-makedepends=('abletonlink' 'alsa-lib' 'avahi' 'boost' 'cmake' 'emacs' 'fftw'
-'libsndfile' 'qt5-tools' 'readline' 'systemd-libs' 'yaml-cpp')
-checkdepends=('xorg-server-xvfb')
-optdepends=('emacs: emacs interface'
-            'gedit: gedit interface'
-            'sc3-plugins: additional extension plugins for scsynth')
-provides=("libscsynth.so" "sclang=${pkgver}" "scsynth=${pkgver}")
-source=("https://github.com/${pkgname}/${pkgname}/releases/download/Version-${pkgver}/${_name}-${pkgver}-Source-linux.tar.bz2"
-        "${pkgname}-3.11.0-use_system_link.patch")
-install="${pkgname}.install"
-sha512sums=('8c93395231caf3617c3dae07e7c94e2253e24ab1a822b64904d5bc67f62fb12e9837ed0cd7210fbbe10cb5a7ff277e80e5f2ec85d6b51026c920851d4fda59a4'
-            '1a9977f7b1a1a90ea3b4163ef6f6f963325e8d87b6ca16fecaa5a1816323d6cb4ab7eb750957d58be34a99fd3ed08ed7b7a92ac5352f31c894a8eb002f0aa71c')
-
-
-prepare() {
-  mv -v "${_name}-Source" "${pkgname}-${pkgver}"
-  cd "${pkgname}-${pkgver}"
-  # devendoring Ableton Link:
-  # https://github.com/supercollider/supercollider/issues/4818
-  # https://github.com/supercollider/supercollider/pull/4836
-  patch -Np1 -i "../${pkgname}-3.11.0-use_system_link.patch"
-  # removing macOS hidden files (due to release tarball issues):
-  # https://github.com/supercollider/supercollider/issues/4545
-  find . -type f -iname "*\._*" -delete
-}
-
-build() {
-  cd "${pkgname}-${pkgver}"
-  cmake -DCMAKE_INSTALL_PREFIX=/usr \
-        -DCMAKE_BUILD_TYPE=Release \
-        -DBoost_NO_BOOST_CMAKE=ON \
-        -DLIBSCSYNTH=ON \
-        -DFORTIFY=ON \
-        -DSYSTEM_ABLETON_LINK=ON \
-        -DSYSTEM_BOOST=ON \
-        -DSYSTEM_YAMLCPP=ON \
-        -DSC_VIM=OFF \
-        -B build \
-        .
-  make VERBOSE=1 -C build
-}
-
-check() {
-  cd "${pkgname}-${pkgver}/build"
-  xvfb-run make test ARGS="-V" -C build || echo "Known failing tests: https://github.com/supercollider/supercollider/issues/3555"
-}
-
-package() {
-  depends+=('libasound.so' 'libavahi-common.so' 'libavahi-client.so'
-  'libboost_filesystem.so' 'libboost_program_options.so' 'libboost_regex.so'
-  'libboost_thread.so' 'libfftw3f.so' 'libjack.so' 'libsndfile.so'
-  'libreadline.so' 'libudev.so' 'libyaml-cpp.so')
-  cd "${pkgname}-${pkgver}"
-  make DESTDIR="${pkgdir}" install -C build
-  install -vDm 644 {AUTHORS,{CHANGELOG,README,README_LINUX}.md} \
-    -t "${pkgdir}/usr/share/doc/${pkgname}/"
-}

Copied: supercollider/repos/community-x86_64/PKGBUILD (from rev 609171, supercollider/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-04-01 20:41:08 UTC (rev 609173)
@@ -0,0 +1,72 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+# Contributor: speps <speps at aur dot archlinux dot org>
+# Contributor: osc <farid at archlinux-br.org>
+
+_name=SuperCollider
+pkgname=supercollider
+pkgver=3.11.0
+pkgrel=4
+pkgdesc="Environment and programming language for real time audio synthesis and algorithmic composition"
+arch=('x86_64')
+url="https://supercollider.github.io"
+license=('GPL3')
+groups=('pro-audio')
+depends=('gcc-libs' 'glibc'  'libx11' 'qt5-base' 'qt5-svg' 'qt5-webengine'
+'qt5-websockets')
+makedepends=('abletonlink' 'alsa-lib' 'avahi' 'boost' 'cmake' 'emacs' 'fftw'
+'libsndfile' 'qt5-tools' 'readline' 'systemd-libs' 'yaml-cpp')
+checkdepends=('xorg-server-xvfb')
+optdepends=('emacs: emacs interface'
+            'gedit: gedit interface'
+            'sc3-plugins: additional extension plugins for scsynth')
+provides=("libscsynth.so" "sclang=${pkgver}" "scsynth=${pkgver}")
+source=("https://github.com/${pkgname}/${pkgname}/releases/download/Version-${pkgver}/${_name}-${pkgver}-Source.tar.bz2"
+        "${pkgname}-3.11.0-use_system_link.patch")
+install="${pkgname}.install"
+sha512sums=('64fef4d751436337baf40ced068a496d3e9221f751dcde7bfc2857a79c094764dff814d1c0cf519380053ddcfdb2c3f2b8eb787d3cff03e522c19fd95951b1da'
+            '1a9977f7b1a1a90ea3b4163ef6f6f963325e8d87b6ca16fecaa5a1816323d6cb4ab7eb750957d58be34a99fd3ed08ed7b7a92ac5352f31c894a8eb002f0aa71c')
+
+
+prepare() {
+  mv -v "${_name}-${pkgver}-Source" "${pkgname}-${pkgver}"
+  cd "${pkgname}-${pkgver}"
+  # devendoring Ableton Link:
+  # https://github.com/supercollider/supercollider/issues/4818
+  # https://github.com/supercollider/supercollider/pull/4836
+  patch -Np1 -i "../${pkgname}-3.11.0-use_system_link.patch"
+  # removing macOS hidden files (due to release tarball issues):
+  # https://github.com/supercollider/supercollider/issues/4545
+  find . -type f -iname "*\._*" -delete
+}
+
+build() {
+  cd "${pkgname}-${pkgver}"
+  cmake -DCMAKE_INSTALL_PREFIX=/usr \
+        -DCMAKE_BUILD_TYPE=Release \
+        -DBoost_NO_BOOST_CMAKE=ON \
+        -DLIBSCSYNTH=ON \
+        -DFORTIFY=ON \
+        -DSYSTEM_ABLETON_LINK=ON \
+        -DSYSTEM_BOOST=ON \
+        -DSYSTEM_YAMLCPP=ON \
+        -DSC_VIM=OFF \
+        -B build \
+        .
+  make VERBOSE=1 -C build
+}
+
+check() {
+  cd "${pkgname}-${pkgver}/build"
+  xvfb-run make test ARGS="-V" -C build || echo "Known failing tests: https://github.com/supercollider/supercollider/issues/3555"
+}
+
+package() {
+  depends+=('libasound.so' 'libavahi-common.so' 'libavahi-client.so'
+  'libboost_filesystem.so' 'libboost_program_options.so' 'libboost_regex.so'
+  'libboost_thread.so' 'libfftw3f.so' 'libjack.so' 'libsndfile.so'
+  'libreadline.so' 'libudev.so' 'libyaml-cpp.so')
+  cd "${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install -C build
+  install -vDm 644 {AUTHORS,{CHANGELOG,README,README_LINUX}.md} \
+    -t "${pkgdir}/usr/share/doc/${pkgname}/"
+}

Deleted: supercollider-3.11.0-use_system_link.patch
===================================================================
--- supercollider-3.11.0-use_system_link.patch	2020-04-01 20:41:04 UTC (rev 609172)
+++ supercollider-3.11.0-use_system_link.patch	2020-04-01 20:41:08 UTC (rev 609173)
@@ -1,30 +0,0 @@
-diff --git c/CMakeLists.txt w/CMakeLists.txt
-index 30d9c8d1a..5e1e9cb89 100644
---- c/CMakeLists.txt
-+++ w/CMakeLists.txt
-@@ -228,6 +228,7 @@ endif()
- 
- option(SC_SYMLINK_CLASSLIB "Place a symlink of SCCLassLibrary instead of copying" OFF)
- 
-+option(SYSTEM_ABLETON_LINK "Use link from system" OFF)
- option(SYSTEM_BOOST   "Use boost libraries from system" OFF)
- option(SYSTEM_YAMLCPP "Use yaml-cpp library from system" OFF)
- 
-diff --git c/lang/CMakeLists.txt w/lang/CMakeLists.txt
-index 9b5095d11..bb678c016 100644
---- c/lang/CMakeLists.txt
-+++ w/lang/CMakeLists.txt
-@@ -252,7 +252,12 @@ endif()
- 
- if (SC_ABLETON_LINK)
- 	message(STATUS "Compiling with Ableton Link support")
--	include(../external_libraries/link/AbletonLinkConfig.cmake)
-+	if(SYSTEM_ABLETON_LINK)
-+		find_package(AbletonLink NAMES AbletonLink ableton-link link REQUIRED)
-+	else()
-+		include(../external_libraries/link/AbletonLinkConfig.cmake)
-+	endif()
-+
- 	target_link_libraries(libsclang Ableton::Link)
- 
- 	add_definitions(-DSC_ABLETON_LINK)

Copied: supercollider/repos/community-x86_64/supercollider-3.11.0-use_system_link.patch (from rev 609172, supercollider/trunk/supercollider-3.11.0-use_system_link.patch)
===================================================================
--- supercollider-3.11.0-use_system_link.patch	                        (rev 0)
+++ supercollider-3.11.0-use_system_link.patch	2020-04-01 20:41:08 UTC (rev 609173)
@@ -0,0 +1,30 @@
+diff --git c/CMakeLists.txt w/CMakeLists.txt
+index 30d9c8d1a..5e1e9cb89 100644
+--- c/CMakeLists.txt
++++ w/CMakeLists.txt
+@@ -228,6 +228,7 @@ endif()
+ 
+ option(SC_SYMLINK_CLASSLIB "Place a symlink of SCCLassLibrary instead of copying" OFF)
+ 
++option(SYSTEM_ABLETON_LINK "Use link from system" OFF)
+ option(SYSTEM_BOOST   "Use boost libraries from system" OFF)
+ option(SYSTEM_YAMLCPP "Use yaml-cpp library from system" OFF)
+ 
+diff --git c/lang/CMakeLists.txt w/lang/CMakeLists.txt
+index 9b5095d11..bb678c016 100644
+--- c/lang/CMakeLists.txt
++++ w/lang/CMakeLists.txt
+@@ -252,7 +252,12 @@ endif()
+ 
+ if (SC_ABLETON_LINK)
+ 	message(STATUS "Compiling with Ableton Link support")
+-	include(../external_libraries/link/AbletonLinkConfig.cmake)
++	if(SYSTEM_ABLETON_LINK)
++		find_package(AbletonLink NAMES AbletonLink ableton-link link REQUIRED)
++	else()
++		include(../external_libraries/link/AbletonLinkConfig.cmake)
++	endif()
++
+ 	target_link_libraries(libsclang Ableton::Link)
+ 
+ 	add_definitions(-DSC_ABLETON_LINK)

Deleted: supercollider.install
===================================================================
--- supercollider.install	2020-04-01 20:41:04 UTC (rev 609172)
+++ supercollider.install	2020-04-01 20:41:08 UTC (rev 609173)
@@ -1,8 +0,0 @@
-post_install () {
-  echo "The vim plugin 'SCVim' is now developed separately: https://github.com/supercollider/scvim"
-  echo "Until a package is provided, please use the install methods mentioned in the link."
-}
-
-post_upgrade () {
-  post_install
-}

Copied: supercollider/repos/community-x86_64/supercollider.install (from rev 609172, supercollider/trunk/supercollider.install)
===================================================================
--- supercollider.install	                        (rev 0)
+++ supercollider.install	2020-04-01 20:41:08 UTC (rev 609173)
@@ -0,0 +1,8 @@
+post_install () {
+  echo "The vim plugin 'SCVim' is now developed separately: https://github.com/supercollider/scvim"
+  echo "Until a package is provided, please use the install methods mentioned in the link."
+}
+
+post_upgrade () {
+  post_install
+}


More information about the arch-commits mailing list